package net.northking.cctp.project.dto.env;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>Title: CpProjectEnvDsExecuteDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/09/12
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class CpProjectEnvDsExecuteDto implements Serializable {

    /**
     * 数据源主键
     */
    @ApiModelProperty("数据源主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    @NotBlank(message = "数据源主键不能为空")
    private String id;

    /**
     * 执行的sql
     */
    @ApiModelProperty("执行的sql")
    @NotBlank(message = "执行的sql不能为空")
    private String sqlContent;

    /**
     * 页码
     */
    @ApiModelProperty("页码")
    private Integer pageNo = 1;

    /**
     * 当前页的记录数
     */
    @ApiModelProperty("当前页的记录数")
    private Integer pageSize = 10;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSqlContent() {
        return sqlContent;
    }

    public void setSqlContent(String sqlContent) {
        this.sqlContent = sqlContent;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
